{-# LANGUAGE ExtendedDefaultRules #-}
{-# LANGUAGE OverloadedStrings    #-}
module Main where

import           Shelly     (cmd, echo, setenv, shelly)
import           Spec       (spec)
import           Test.Hspec (hspec)

main :: IO ()
main = setupLiveTests >> hspec spec

setupLiveTests :: IO ()
setupLiveTests = shelly $ do
    echo "Running truffle deploy and convertAbi before building tests"
    setenv "EXPORT_STORE" ".detected-contract-addresses"
    cmd "truffle" "deploy"
    cmd "./test-support/convertAbi.sh"
    cmd "./test-support/inject-contract-addresses.sh"
